SCQC(1)

NAME
scqc - SeisComP Documentation

Derives quality control (QC) parameters from waveforms.

DESCRIPTION

scqc determines waveform quality control (QC) parameters of data streams. The output parameters are time averaged in terms of waveform quality messages. In regular intervals report messages are sent containing the short term average representation of the specific QC parameter for a given time span. Alarm messages are generated if the short term average (e.g. 90 s) of a QC parameter differs from the long term average (e.g. 3600 s) by more than a defined threshold. To avoid an excessive load, QC messages are sent distributed over time. Storing QC parameters into the database should be avoided by configuring, e.g., plugins.default.archive.interval as otherwise the database grows quickly.

The QC parameters can be interactively observed using scqcv or scmm.

TECHNOLOGY

scqc uses plugins to compute the waveform quality control (QC) parameters. The plugins can be found in @DATADIR@/plugins/qc. They are loaded by default or selected by configuration setup.

QC PARAMETERS
[image] Times describing the data records, e.g., for calculating delay or latency. t_{now} may be measured differently depending on the QC parameter..UNINDENT

The following QC parameters are determined when the corresponding plugin is loaded:

availability [%]
    Plugin: qcplugin_availability

    Description: Availability of data in the configured time span.

delay [s]
    Plugin: qcplugin_delay

    Description: Time difference between current time, t_{now}, and time of the last record in the SeisComP system (see Figure):

    delay = t_{now} - t_{2}.

    NOTE: Current time is measured during reception of a record and updated in the report intervals configured for delay.

gaps (count [counts], interval [s], length [s])
    Plugin: qcplugin_gap

    Description: In case of a data gap between two consecutive records this parameter delivers the gap interval time (interval), the mean length of the gaps (length) and the number of the gaps (count) over the configured time interval.

    HINT: gaps interval = 0 for gaps count = 1 but gaps interval > 0 for gaps count > 1. This may be important when evaluating the intervals.

latency [s]
    Plugin: qcplugin_latency

    Description: Time difference between current time, t_{now}, and arrival time of the last record (see Figure):

    latency = t_{now} - t_{arr}.

    NOTE: Current time is measured during reception of a record and updated in the report intervals configured for latency.

offset [counts]
    Plugin: qcplugin_offset

    Description: Average value of all samples of a record.

outage [time string]
    Plugin: qcplugin_outage

    Description: Delivers the start and the end time of a data outage (gap).

overlaps (count [counts], interval [s], length [s])
    Plugin: qcplugin_overlap

    Description: In case of overlaps between two consecutive records this parameter delivers the overlaps interval time (interval), the mean length (length) of the overlaps and the number of the overlaps (count) over the configured time interval.

    HINT: overlaps interval = 0 for overlaps count = 1 but overlaps interval > 0 for overlaps count > 1. This may be important when evaluating the intervals.

rms [counts]
    Plugin: qcplugin_rms

    Description: Offset corrected root mean square (RMS) value of a record.

spikes (count [counts], interval [s], amplitude [counts])
    Plugin: qcplugin_spike

    Description: In case of the occurrence of a spike in a record this parameter delivers the time interval between consecutive spikes (interval), the mean amplitude of the spike (amplitude) and the number of the spikes (count) over the configured time interval. Internally a list of spikes is stored (spike time, spike amplitude); the spike finder algorithm is still preliminary.

    HINT: spikes interval = 0 for spikes count = 1 but spikes interval > 0 for spikes count > 1. This may be important when evaluating the intervals.

timing [%]
    Plugin: qcplugin_timing

    Description: miniSEED record timing quality (0 - 100 %) as written into the miniSEED records by the digitizer.

SETUP

The configuration can be adjusted in the module configuration (scqc.cfg).

1.  Select the streams for which to compute the QC parameters. Be default, only streams defined global bindings are considered:

•   use3Components: Select to consider the 3 components related to the stream defined by global bingings. Reguires to select useConfiguredStreams.

•   streamMask: Freely choose any available stream to compute the QC parameters for. This requires to unselect useConfiguredStreams. Regular expressions may be used, e.g.:

•   Consider BHZ streams from all networks, stations and locations:

    streamMask = ""(.+)\.(.+)\.(.*)\.(BHZ)$"

•   Consider any component from BH, LH and HH streams:

    streamMask = "(.+)\.(.+)\.(.*)\.((BH)|(LH)|(HH))?$"

2.  Load the QC and other plugins, e.g. for data acquisition. The QC plugins loaded by default are qcplugin_availability, qcplugin_delay, qcplugin_gap, qcplugin_latency, qcplugin_offset, qcplugin_outage, qcplugin_overlap, qcplugin_rms, qcplugin_spike and qcplugin_timing.

    Adjust plugins for setting plugins explicitly and to exclude the other ones, e.g.

    plugins = qcplugin_availability, qcplugin_spike

    Further RecordStream plugins for reading data may be considered.

3.  Configure the plugin parameters: Each plugin considers specific parameters which can be configured separately or the default section.

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scqc.cfg
etc/global.cfg
etc/scqc.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scqc.cfg

scqc inherits global options.

CreatorId
    Default: smi://de.gfz-potsdam/QcTool_0.3.1

    Type: string

    ID of QC message creator

useConfiguredStreams
    Default: true

    Type: boolean

    Limit QC determination to processed data streams which are defined in global bindings with detecLocid and detecStream.

use3Components
    Default: false

    Type: boolean

    If useConfiguredStreams is true, this parameter decides whether to use only the vertical component (default) or all three components. The 3 components are collected from the inventory according to channel orientation. If that is not possible, the fixed components N and E will be used.

streamMask
    Type: string

    If useConfiguredStreams is false, then load (from inventory) only those streams, matching the streamMask

    RegEx e.g. "^(NET1|NET2)\.(STA1|STA2|STA3)\.(LOC)\.((BH)|(LH)|(HH))Z$"

    RegEx e.g. "^(.+)\.(.+)\.(.*)\.(.+)Z$"

    streamMask = "^(.+)\.(.+)\.(.*)\.(BHZ)$"

dbLookBack
    Default: 7

    Type: int

    Unit: days

    Database look up for past entries not older than x days (to determine the last QC parameter calculated).

    NOTE: plugins.* Control parameters for individual QC plugins.

    NOTE: plugins.default.* Default configuration parameters for the plugins. Can be overwritten by the individual plugin configurations.

plugins.default.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.default.filter
    Type: string

    Filter string used to filter waveforms before processing. Currently only used by QcRms.

plugins.default.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.default.report.* Control interactions with the messaging system.

plugins.default.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.default.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.default.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.default.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.default.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.default.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.default.alert.* Control for sending alerts based on QC reports.

plugins.default.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.default.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.default.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcLatency.* Configuration parameters for the plugin qcplugin_latency. Overwrites the parameters from the default section.

plugins.QcLatency.realTimeOnly
    Default: true

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcLatency.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcLatency.report.* Control interactions with the messaging system.

plugins.QcLatency.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which, e.g., can be displayed by scqcv.

plugins.QcLatency.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcLatency.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcLatency.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcLatency.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcLatency.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcLatency.alert.* Control for sending alerts based on QC reports.

plugins.QcLatency.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcLatency.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcLatency.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcDelay.* Configuration parameters for the plugin qcplugin_delay. Overwrites the parameters from the default section.

plugins.QcDelay.realTimeOnly
    Default: true

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to processd data AND realtime data streams.

plugins.QcDelay.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcDelay.report.* Control interactions with the messaging system.

plugins.QcDelay.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcDelay.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcDelay.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcDelay.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcDelay.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcDelay.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcDelay.alert.* Control for sending alerts based on QC reports.

plugins.QcDelay.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcDelay.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcDelay.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcGap.* Configuration parameters for the plugin qcplugin_gap. Overwrites the parameters from the default section.

plugins.QcGap.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcGap.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcGap.report.* Control interactions with the messaging system.

plugins.QcGap.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcGap.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcGap.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcGap.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcGap.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcGap.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcGap.alert.* Control for sending alerts based on QC reports.

plugins.QcGap.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcGap.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcGap.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcOffset.* Configuration parameters for the plugin qcplugin_offset. Overwrites the parameters from the default section.

plugins.QcOffset.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcOffset.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcOffset.report.* Control interactions with the messaging system.

plugins.QcOffset.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcOffset.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcOffset.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcOffset.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcOffset.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcOffset.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcOffset.alert.* Control for sending alerts based on QC reports.

plugins.QcOffset.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcOffset.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcOffset.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcOverlap.* Configuration parameters for the plugin qcplugin_overlap. Overwrites the parameters from the default section.

plugins.QcOverlap.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcOverlap.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcOverlap.report.* Control interactions with the messaging system.

plugins.QcOverlap.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcOverlap.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcOverlap.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcOverlap.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcOverlap.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcOverlap.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcOverlap.alert.* Control for sending alerts based on QC reports.

plugins.QcOverlap.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcOverlap.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcOverlap.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcRms.* Configuration parameters for the plugin qcplugin_rms. Overwrites the parameters from the default section.

plugins.QcRms.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcRms.filter
    Type: string

    Filter string used to filter waveforms before processing.

plugins.QcRms.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcRms.report.* Control interactions with the messaging system.

plugins.QcRms.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcRms.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcRms.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcRms.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcRms.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcRms.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcRms.alert.* Control for sending alerts based on QC reports.

plugins.QcRms.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcRms.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcRms.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcSpike.* Configuration parameters for the plugin qcplugin_spike. Overwrites the parameters from the default section.

plugins.QcSpike.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcSpike.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcSpike.report.* Control interactions with the messaging system.

plugins.QcSpike.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcSpike.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcSpike.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcSpike.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcSpike.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcSpike.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcSpike.alert.* Control for sending alerts based on QC reports.

plugins.QcSpike.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcSpike.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcSpike.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcTiming.* Configuration parameters for the plugin qcplugin_timing. Overwrites the parameters from the default section.

plugins.QcTiming.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcTiming.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcTiming.report.* Control interactions with the messaging system.

plugins.QcTiming.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcTiming.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcTiming.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcTiming.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcTiming.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcTiming.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcTiming.alert.* Control for sending alerts based on QC reports.

plugins.QcTiming.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcTiming.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcTiming.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcAvailability.* Configuration parameters for the plugin qcplugin_availability. Overwrites the parameters from the default section.

plugins.QcAvailability.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcAvailability.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

    NOTE: plugins.QcAvailability.report.* Control interactions with the messaging system.

plugins.QcAvailability.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcAvailability.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcAvailability.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcAvailability.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcAvailability.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcAvailability.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcAvailability.alert.* Control for sending alerts based on QC reports.

plugins.QcAvailability.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcAvailability.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcAvailability.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

    NOTE: plugins.QcOutage.* Configuration parameters for the plugin qcplugin_outage. Overwrites the parameters from the default section.

plugins.QcOutage.realTimeOnly
    Default: false

    Type: boolean

    Enable to use this plugin only for realtime processing.

    Default [disable]: plugin is able to process archived data AND realtime data streams.

plugins.QcOutage.buffer
    Default: 4000

    Type: int

    Unit: s

    Qc-Buffer Length [s] (aka LTA-Buffer). Must be >= plugins.*.bufferLength.

plugins.QcOutage.notifyDB
    Default: 1800

    Type: int

    Unit: s

    If there is a gap of more than notifyDB [s], write an OUTAGE entry into the database.

    NOTE: plugins.QcOutage.report.* Control interactions with the messaging system.

plugins.QcOutage.report.interval
    Default: 60

    Type: int

    Unit: s

    Interval for sending report messages which e.g. will be may be displayed by scqcv.

plugins.QcOutage.report.buffer
    Default: 600

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcOutage.report.timeout
    Default: 0

    Type: int

    Unit: s

    Report messages are generated in case no data is received since timeout. Only in real-time processing.

    NOTE: plugins.QcOutage.archive.* Control sending QC reports as notifier to the messaging where scmaster will write them to the database.

plugins.QcOutage.archive.interval
    Default: -1

    Type: int

    Unit: s

    Interval to send the QC reports.

    Default [-1]: Do not send any QC report. This will prevent writing QC reports into the database.

plugins.QcOutage.archive.buffer
    Default: 3600

    Type: int

    Unit: s

    Time window for calculating QC reports.

    NOTE: plugins.QcOutage.alert.* Control for sending alerts based on QC reports.

plugins.QcOutage.alert.interval
    Default: -1

    Type: int

    Unit: s

    Interval for checking and sending alert thresholds. -1 disables threshold checking.

plugins.QcOutage.alert.buffer
    Default: 1800

    Type: int

    Unit: s

    Time window for calculating QC reports.

plugins.QcOutage.alert.thresholds
    Default: 150

    Type: int

    List of thresholds for sending QC reports. Use comma to separate values.

COMMAND-LINE OPTIONS

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

  Messaging

-u, --user arg
    Overrides configuration parameter connection.username.

-H, --host arg
    Overrides configuration parameter connection.server.

-t, --timeout arg
    Overrides configuration parameter connection.timeout.

-g, --primary-group arg
    Overrides configuration parameter connection.primaryGroup.

-S, --subscribe-group arg
    A group to subscribe to. This option can be given more than once.

--content-type arg
    Overrides configuration parameter connection.contentType.

    Default: binary

--start-stop-msg arg
    Default: 0

    Set sending of a start and a stop message.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--db-disable
    Do not use the database at all

  Records

--record-driver-list
    List all supported record stream drivers.

-I, --record-url arg
    The RecordStream source URL. Format: [service://]location[#type]. "service" is the name of the RecordStream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used and simply the name of a miniSEED file can be given.

--record-file arg
    Specify a file as record source.

--record-type arg
    Specify a type for the records being read.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam